Last Comment Bug 589618 - [SeaMonkey 2.1, mochitest-browser-chrome] browser_522545.js | sessionstore got correct userTypedValue - Got example.org, expected mozilla.org
: [SeaMonkey 2.1, mochitest-browser-chrome] browser_522545.js | sessionstore go...
Status: RESOLVED FIXED
[sm-perma][cc-orange]
: intermittent-failure
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1b1
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: SmTestFail
  Show dependency treegraph
 
Reported: 2010-08-22 16:06 PDT by Robert Kaiser (not working on stability any more)
Modified: 2012-11-26 02:56 PST (History)
2 users (show)
bugzillamozillaorg_serge_20140323: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
clear existing tabs cache befor using them (1.16 KB, patch)
2010-08-29 05:13 PDT, Misak Khachatryan
no flags Details | Diff | Review
Actually allow the load event to fire (901 bytes, patch)
2010-08-29 10:10 PDT, neil@parkwaycc.co.uk
misak.bugzilla: review+
Details | Diff | Review

Description Robert Kaiser (not working on stability any more) 2010-08-22 16:06:59 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1282499502.1282502435.6363.gz

TEST-UNEXPECTED-FAIL | chrome://mochikit/content/browser/suite/common/tests/browser/browser_522545.js | sessionstore got correct userTypedValue - Got example.org, expected mozilla.org

Something's wrong in our own court in this test. :(
Comment 1 Philip Chee 2010-08-25 07:48:49 PDT
I'm pretty sure I saw this before my userTypedValue patch landed.
Comment 2 Misak Khachatryan 2010-08-25 07:57:57 PDT
The bug was opened before Your patch landed ;)
Comment 3 Misak Khachatryan 2010-08-29 05:13:45 PDT
Created attachment 470280 [details] [diff] [review]
clear existing tabs cache befor using them

I don't know why Firefox didn't hit this, but problem is that _collectTabData returns cached data of tab yet to be loaded. Suppose sessionstore opened a tab and cached it's data until load event indicates it's loaded. So if you call getbrowserstate ss actually returns a cached state of a tab. But if you do setbrowserstate before tab loaded and do getbrowserstate before new one loaded, ss will return cache of previous state. Maybe it's somehow related with SM specific "load" and "pageshow" event processing, or empty browser state which this test trying to set triggering this. Anyhow, this patch explicitly clears the cache of tab being reused.
Comment 4 neil@parkwaycc.co.uk 2010-08-29 10:10:16 PDT
Created attachment 470309 [details] [diff] [review]
Actually allow the load event to fire

I don't think we're allowing the load event to fire. This should fix that.
Comment 5 Misak Khachatryan 2010-08-30 04:13:22 PDT
Comment on attachment 470309 [details] [diff] [review]
Actually allow the load event to fire

Oh, how simple ...
This rises another question - why firefox pass this test ?
Comment 6 neil@parkwaycc.co.uk 2010-08-30 09:29:13 PDT
Pushed changeset dca910b78975 to comm-central.
Comment 7 Treeherder Robot 2012-08-17 07:20:24 PDT
edmorley
https://tbpl.mozilla.org/php/getParsedLog.php?id=14465696&tree=Mozilla-Aurora
Rev3 WINNT 5.1 mozilla-aurora debug test mochitest-other on 2012-08-17 03:23:59
slave: talos-r3-xp-008

TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js | sessionstore got correct userTypedValue - Got undefined, expected example.org
TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/components/sessionstore/test/browser_522545.js | sessionstore got correct userTypedClear - Got undefined, expected 0

Note You need to log in before you can comment on or make changes to this bug.